'\" t
.TH foo2xqx-wrapper 1 "${MODpage}" "foo2xqx-wrapper ${MODver}"
#ifndef OLDGROFF
#include "macros.man"
#endif
'\"==========================================================================
'\"	MANUAL PAGE SOURCE
'\"==========================================================================
.SH NAME
foo2xqx-wrapper \- Convert Postscript into a XQX printer stream
.SH SYNOPSIS
.B foo2xqx-wrapper
.RI [ options "] [" ps-file ]
.SH DESCRIPTION
.B foo2xqx-wrapper
is a Foomatic compatible printer wrapper for the \fBfoo2xqx\fP printer driver.
This script reads a Postscript \fIps-file\fP or standard input
and converts it to XQX printer format
for driving the HP LaserJet M1005 MFP
and other XQX-based printers.
.P
This script can be used in a standalone fashion, but is intended to
be called from a printer spooler system which uses the Foomatic
printer database.

.SH COMMAND LINE OPTIONS
.SS Normal Options
These are the options used to select the parameters of a
print job that are usually controlled on a per job basis.
.TP
.BI \-d\0 duplex
Duplex code to send to printer [1].
.TS
| n l | n l | n l .
1	off	2	long edge	3	short edge
.TE
.TP
.BI \-m\0 media
Media code to send to printer [1].
.TS
l l l
l n n.
_
Media	M1005
_
standard	1
transparency	2
envelope	257
letterhead	259
thick	261
postcard	262
labels	263
.TE
.TP
.BI \-p\0 paper
Paper size code to send to printer [1].
.TS
box;
| n l | n l.
1	letter	9	A4
5	legal	11	A5
7	executive	13	B5
20	env #10	27	env DL
28	env C5	34	env B5
37	env Monarch		
.TE
.TP
.BI \-n\0 copies
Number of copies [1].
.TP
.BI \-r\0 xres x yres
Set device resolution in pixels/inch [1200x600].
.TP
.BI \-s\0 source
Source (Input Slot) code to send to printer [7].
.TS
box;
| n l | n l.
1	upper	4	manual
2	lower	7	auto
.TE
.TP
.BI \-t
Draft mode.  Every other pixel is white.
.TP
.BI "\-2 \-3 \-4 \-5 \-6 \-8 \-9 \-10 \-12 \-14 \-15 \-16 \-18"
Print in N-up.  Requires the \fBpsutils\fP package.
.TP
.BI \-o\0 orient
Orientation used for N-up.
.TS
l l l.
Portrait	-op	(normal)
Landscape	-ol	(rotated 90 degrees anticlockwise)
Seascape	-os	(rotated 90 degrees clockwise)
.TE
.SS Printer Tweaking Options
These are the options used to customize the operation of \fBfoo2xqx\fP
for a particular printer.
.TP
.BI \-u\0 xoff x yoff
Set the offset of the start of the printable region from the
upper left corner, in pixels [varies with paper size].
The defaults should work on the 2200DL and 2300DL, and have not
been tested on any other printers.
.TP
.BI \-l\0 xoff x yoff
Set the offset of the end of the printable region from the
lower right corner, in pixels [varies with paper size].
The defaults should work on the 2200DL and 2300DL, and have not
been tested on any other printers.
.TP
.BI \-L\0 mask
Send the logical clipping values from -u/-l in the ZjStream.
\fBfoo2xqx-wrapper\fP always runs Ghostscript with the ideal page dimensions,
so that the scale of the image is correct,
regardless whether or not the printer has unprintable regions.
This option is used to move the position of the clipped image
back to where it belongs on the page.  The default is to send
the amount which was clipped by -u and -l, and should be
good in most cases.
.TS
l l.
0	don't send any logical clipping amounts
1	only send Y clipping amount
2	only send X clipping amount
3	send both X and Y clipping amounts
.TE
.SS Debugging Options
These options are used for debugging \fBfoo2xqx\fP and its wrapper.
.TP
.BI \-D\0 level
Set Debug level [0].

.SH EXAMPLES
Create a monochrome ZjStream from a Postscript document,
examine it, and then print it using a RAW print queue:

.RS
.nf
foo2xqx-wrapper testpage.ps > testpage.xqx
xqxdecode < testpage.xqx
lpr -P raw testpage.xqx
.fi
.RE

.SH FILES
.BR /usr/bin/foo2xqx-wrapper
.SH SEE ALSO
.BR foo2xqx (1),
.BR xqxdecode (1)
.SH "AUTHOR"
Rick Richardson <rick.richardson@comcast.net>
.br
${URLXQX}/
'/"
'/"
'/"
.em pdf_outline
